org.apache.hadoop

## Class HadoopIllegalArgumentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.hadoop.HadoopIllegalArgumentException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    InvalidPathException

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class HadoopIllegalArgumentException
      extends IllegalArgumentException

  Indicates that a method has been passed illegal or invalid argument. This exception is thrown instead of IllegalArgumentException to differentiate the exception thrown in Hadoop implementation from the one thrown in JDK.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HadoopIllegalArgumentException(String message)` Constructs exception with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HadoopIllegalArgumentException

          public HadoopIllegalArgumentException(String message)

      Constructs exception with the specified detail message.
      Parameters:
        `message` - detailed message.

Copyright © 2022 Apache Software Foundation. All rights reserved.